PATCH

Update Contact Tag

Updates the name or color of an existing contact tag.

PATCHhttps://api.vantaxai.com/v1/contact-tags/{tag_id}

Headers

  • Authorizationstringrequired

    Bearer authentication with your secret API key.

    example: Bearer vx_live_3fa9c2…

  • Content-Typestringrequired

    Must be application/json for requests with a body.

    example: application/json

Path Parameters

  • tag_idstringrequired

    The tag to update.

    example: tag_4f17a2

Body Parameters

  • namestringoptional

    New tag name (max 64 characters).

  • colorstringoptional

    New display color as a hex code.

Request

curl -X PATCH https://api.vantaxai.com/v1/contact-tags/tag_4f17a2 \
  -H "Authorization: Bearer vx_live_3fa9c2..." \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "color": "string"
}'

Response

{
  "success": true,
  "message": "Contact tag updated successfully",
  "data": {
    "id": "tag_4f17a2",
    "name": "vip-priority",
    "color": "#DB2777",
    "updated_at": "2026-02-02T08:12:00Z"
  }
}